
ISIS - Bug #476

Camera class does not compute pixel resolution accurately for limb images

2011-09-27 08:40 AM - Jeff Anderson

Status: Closed   

Priority: Normal   

Assignee: Tyler Wilson   

Category: API   

Target version: 3.4.13 (FY16 R3 2016-08-31 Aug)   

Impact: Pixel resolution will be more accurate for

limb images.  This will impact upon any

application that uses the Camera class.

Software Version:  

Description

The pixel resolution in the camera class does not compute an accurate pixel resolution other than at the sub-spacecraft lat/lon.  The

routine uses the proportion of 

detectorSize / focalLength = groundPixelResolution / spacecraftAltitude

so

groundPixelResolution = spacecraftAltitude * detectorSize / focalLength

This does a poor job of approximating the pixel resolution at limbs or in the far range of wide angle cameras.  A better approximation

would be

groundPixelResolution = spacecraftAltitude * detectorSize / focalLength

groundPixelResolution = groundPixelResolution / cos (emissionAngle)

Of course this is not 100% accurate but is significantly better and is not too slow of an algorithm.  

Obviously we have to decide how to deal with cos(emissionAngle) approaching zero.  The other concern is how this will impact the

iterative loops which converge on pixel resolution.  Expect to see the truth data for many application and unit test to change slightly.

Related issues:

Copied to ISIS - Feature #4100: A different formula for calculating the detec... Acknowledged

History

#1 - 2012-03-01 12:22 PM - Stuart Sides

Type from major to bug. Priority unchanged.

#3 - 2013-08-15 10:41 AM - Anonymous

- Target version deleted (150)

#9 - 2015-08-11 08:47 PM - Kristin Berry

- Impact updated

#10 - 2015-08-12 11:39 PM - Kristin Berry

- Target version set to 3.4.11 (FY16 R1 2015-10-28 Oct)

#11 - 2015-09-17 02:21 PM - Kristin Berry

- Assignee set to Tyler Wilson

#12 - 2015-09-17 02:29 PM - Tyler Wilson

- Status changed from Acknowledged to In Progress
#13 - 2015-09-18 02:49 PM - Tyler Wilson

- Impact updated

#15 - 2015-10-23 05:25 PM - Tyler Wilson

- Status changed from In Progress to Resolved

#16 - 2016-06-10 06:10 PM - Tammy Becker

Test data:

/work/users/tbecker/IsisTesting/M00476_OliqueResolution/

I've tested camstats, phocube and mosrange.

camstats returns ObliqueSampleResolutionMinimum=-1.0 (Line and ObliqueResolutionMinimum also)

for three of the test images:

N1487299578_1_callptr.cub

N1487299918_2_callptr.cub

W1637463028_1_callptr.cub

mosrange:

Only include the Min and Max ObliquePixelResolution.

Remove the ObliquePixelResolution and ObliqueScaleResolution

Will test campt next.

A separate ticket will be created to add this information to additional applications, such as the qview AdvancedTrackTool, caminfo and cnettable

#17 - 2016-06-28 02:27 PM - Tyler Wilson

- Status changed from Resolved to In Progress

#18 - 2016-06-28 04:12 PM - Tyler Wilson

Camera::ObliqueDetectorResolution() now returns Isis::Null if (a) There is no surface intersection and (b) The emission angle is greater than pi/2

(ie an angle above the limb of the target).  This also makes the results consistent with this issue:  

https://isis.astrogeology.usgs.gov/fixit/issues/2065 which is currently in progress.

ObliquePixelResolution and ObliqueScaleResolution were removed from the output for mosrange.
#19 - 2016-06-28 04:28 PM - Tyler Wilson

- Copied to Feature #4100: A different formula for calculating the detector resolution for the Camera class has been added, and it needs to be

integrated into the following applications. added

#20 - 2016-06-28 04:38 PM - Tyler Wilson

- Status changed from In Progress to Resolved

#21 - 2016-07-22 06:17 PM - Tammy Becker

Hi!  Ready to test...not sure what to setisis to??  

I tried setisis /work/projects/isis/latest/m00476/

/work/projects/isis/latest/m00476/isis/bin/isiscomplete: error while loading shared libraries: libpng16.so.16: cannot open shared object file: No such file

or directory

And, I don't see a /work/projects/isis/latest/m04100?

I also still want to check out the glossary for this new term (oblique resolution)! 

Thanks

#22 - 2016-07-24 02:46 PM - Tyler Wilson

Oh sorry Tammy!  I recompiled it to my version of Linux and not Scientific Linux to make the last set of changes

you asked for.  I'll compile it for the version you use on the cluster.  Please look in the directory:

/work/projects/isis/latest/m00476_4100/

#23 - 2016-08-07 01:02 PM - Tammy Becker

The following applications have been tested and evaluated with the new oblique resolution values:

campt

camstats

mosrange

photomet

I also reviewed the new glossary definitions, as well as the new figures...

#24 - 2016-08-07 01:03 PM - Tammy Becker

- Status changed from Resolved to Closed

- Target version changed from 3.4.11 (FY16 R1 2015-10-28 Oct) to 3.4.13 (FY16 R3 2016-08-31 Aug)
